Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSWhiteboard Class Reference

The CSWhiteboard object provides access to whiteboard related capabilities and actions. More...

`#import <CSWhiteboard.h>`

Inherits NSObject.

## Instance Methods
(void) | - startWithCompletionHandler:
| Starts the whiteboard session. More...
(void) | - endWithCompletionHandler:
| Ends the whiteboard session. More...
(void) | - requestNewSurfaceWithCompletionHandler:
| Requests new whiteboard surface. More...
(void) | - removeSurface:withCompletionHandler:
| Removes whiteboard surface. More...
(CSWhiteboardSurface *) | - getActiveSurface
| Returns active whiteboard surface. More...

## Properties
id< CSWhiteboardDelegate > | delegate
| The delegate used to handle events related to whiteboard session. More...
NSArray * | surfaces
| Array containing all existing CSWhiteboardSurface objects in the current whiteboard session. More...
CSCapability * | removeSurfaceCapability
| CSCapability object indicating whether the local user is allowed to remove whiteboard surface. More...
CSCapability * | addSurfaceCapability
| CSCapability object indicating whether the local user is allowed to add whiteboard surface. More...

## Detailed Description

The CSWhiteboard object provides access to whiteboard related capabilities and actions.

CSWhiteboard object is accessible via CSCollaboration. Status updates concerning whiteboard are reported via CSWhiteboardDelegate.

In order to display whiteboard client also needs to create CSIOSWhiteboardCanvas and initialize it properly.

CSWhiteboard is responsible for handling whole whiteboard session. Whiteboard session may have many independent CSWhiteboardSurface objects where each of CSWhiteboardSurface object is responsible for one whiteboard drawings.

See also
  CSCollaboration

## Method Documentation

- (void) endWithCompletionHandler: |  | (void(^)(CSWhiteboard *whiteboard, NSError *error)) | handler |

Ends the whiteboard session.

Parameters

  handler | A block to be called when the operation is completed. `whiteboard` Ended whiteboard if operation was successful. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (CSWhiteboardSurface *) getActiveSurface |  |  |

Returns active whiteboard surface.

With property CSWhiteboard::surfaces can be used to display number of active sharing surface in UI.

- (void) removeSurface: |  | (CSWhiteboardSurface *) | surface
withCompletionHandler: |  | (void(^)(CSWhiteboardSurface *surface, CSParticipant *participant, NSError *error)) | handler

Removes whiteboard surface.

If whiteboard surface was removed whiteboard:didRemoveSurface:byParticipant: (CSWhiteboardDelegate-p) is called apart from completion handler.

Parameters

  surface | The surface to remove.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  - whiteboard:didRemoveSurface:byParticipant: (CSWhiteboardDelegate-p)

- (void) requestNewSurfaceWithCompletionHandler: |  | (void(^)(CSWhiteboardSurface *surface, CSParticipant *participant, NSError *error)) | handler |

Requests new whiteboard surface.

If whiteboard surface was added whiteboard:didAddSurface:byParticipant: (CSWhiteboardDelegate-p) is called apart from completion handler.

Parameters

  handler | A block to be called when the operation is completed. `surface` created CSWhiteboardSurface object. `participant` CSParticipant object providing information about collaboration participant who requested surface (local user in case of this method). `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  - whiteboard:didAddSurface:byParticipant: (CSWhiteboardDelegate-p)

- (void) startWithCompletionHandler: |  | (void(^)(CSWhiteboardSurface *surface, CSParticipant *participant, NSError *error)) | handler |

Starts the whiteboard session.

Parameters

  handler | A block to be called when the operation is completed. `surface` CSWhiteboardSurface object of first whiteboard surface created on whiteboard start. `participant` CSParticipant object providing information about collaboration. participant who started whiteboard (local user in case of this method). `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

## Property Documentation

- (CSCapability*) addSurfaceCapability
| read nonatomic copy

CSCapability object indicating whether the local user is allowed to add whiteboard surface.

To do so, the local user needs to be moderator, presenter or panel model mode has to be enabled.

See also
  CSWhiteboardSurface
  - requestNewSurfaceWithCompletionHandler:

- (id<CSWhiteboardDelegate>) delegate
| read write nonatomic weak

The delegate used to handle events related to whiteboard session.

- (CSCapability*) removeSurfaceCapability
| read nonatomic copy

CSCapability object indicating whether the local user is allowed to remove whiteboard surface.

To do so, the local user needs to be moderator, presenter or panel model mode has to be enabled. It's not allowed to remove surface when it's the last whiteboard surface in current whiteboard session.

See also
  CSWhiteboardSurface

- (NSArray*) surfaces
| read nonatomic assign

Array containing all existing CSWhiteboardSurface objects in the current whiteboard session.

Array is sorted by creating time of objects.

The documentation for this class was generated from the following file:

- CSWhiteboard.h